.track-list
  display: inline-grid
  row-gap: 8px
  input
    margin: -6px -40px -15px 0
  div
    white-space: nowrap
    margin: 0 10px
    overflow: hidden
    text-overflow: ellipsis
  .songnb
    padding-right: 10px

.album-main
  grid-column: 2

// less than 640px
.album-main
  grid-column: 1
.track-list
  grid-template-columns: 20px min-content min-content 10px 5px 20px

// > 640px, two columns, but rhs is narrow
@screen sm
  .track-list
    grid-template-columns: 20px 270px 10px 5px 20px
  .album-main
    grid-column: 2

// > 768px
@screen md
  .track-list
    grid-template-columns: 20px min-content 10px 5px 20px
    .artist
      display: inline-block
    .name
      display: inline-block

// > 1024px
@screen lg
  .track-list
    grid-template-columns: 20px min-content min-content 10px 5px 20px
    .artist
      max-width: 500px
    .name
      max-width: 500px
